Skip to main content
POST
/
integrations
/
connections
/
start
Start a connect session
curl --request POST \
  --url https://api.deyta.ai/gateway/v1/integrations/connections/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "<string>",
  "namespace_id": "<string>",
  "external_reference_id": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "session_token": "<string>",
    "auth_link_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key obtained from the Deyta Console

Body

application/json
provider
string
required

Integration provider key.

namespace_id
string

Namespace ID to connect the integration to. Required if external_reference_id is not provided.

external_reference_id
string

External reference ID to resolve namespace. Required if namespace_id is not provided.

Response

Session started

success
boolean
Example:

true

data
object

Connection record plus session info.